Skip to main content
POST
/
datasets
/
{dataset_id}
/
pipeline
/
datasource
/
nodes
/
{node_id}
/
run
执行数据源节点
curl --request POST \
  --url https://{api_base_url}/datasets/{dataset_id}/pipeline/datasource/nodes/{node_id}/run \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": {},
  "is_published": true,
  "credential_id": "<string>"
}
'
import requests

url = "https://{api_base_url}/datasets/{dataset_id}/pipeline/datasource/nodes/{node_id}/run"

payload = {
    "inputs": {},
    "is_published": True,
    "credential_id": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({inputs: {}, is_published: true, credential_id: '<string>'})
};

fetch('https://{api_base_url}/datasets/{dataset_id}/pipeline/datasource/nodes/{node_id}/run', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


"<string>"
{
  "status": 400,
  "code": "invalid_param",
  "message": "Pipeline not found"
}
{
  "status": 403,
  "code": "forbidden",
  "message": "Dataset api access is not enabled."
}
{
  "status": 404,
  "code": "not_found",
  "message": "Dataset not found."
}

Authorizations

Authorization
string
header
required

API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。缺少或无效的 API Key 会返回 HTTP 401,错误码为 unauthorized

Path Parameters

dataset_id
string<uuid>
required

知识库 ID。

node_id
string
required

要执行的数据源节点 ID。

Body

application/json
inputs
object
required

数据源节点的输入变量。

datasource_type
enum<string>
required

数据源类型。

Available options:
online_document,
local_file,
website_crawl,
online_drive
is_published
boolean
required

运行节点的已发布版本还是草稿版本。true 运行已发布版本,false 运行草稿版本。

credential_id
string | null

用于数据源认证的凭证 ID。

Response

包含节点执行事件的流式响应。

包含节点执行进度和结果的 Server-Sent Events 流。

Last modified on July 9, 2026